---
stages:
  - check
  - build

lint-ah-setup:
  stage: check
  script:
    - ansible-lint -r .

trigger_collection:
  stage: build
  trigger:
    project: ansible-ssa/collection-ansible_ssa-general
    branch: main
  only:
    - main

trigger_release:
  stage: build
  trigger:
    project: ansible-ssa/collection-ansible_ssa-general
    branch: release
  only:
    - release

trigger_pages:
  stage: build
  trigger:
    project: ansible-ssa/pages
    branch: main
  only:
    - main
